Bug 92964 - experimental feature code completion does not work with deep structure when "Autocorrect" is enabled in Basic IDE options
Summary: experimental feature code completion does not work with deep structure when "...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-27 22:11 UTC by Regina Henschel
Modified: 2016-09-20 10:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
gif-Animation with 11 steps (73.26 KB, image/gif)
2015-07-29 18:04 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-07-27 22:11:37 UTC
Write the code in Basic IDE

Sub tests
Dim aTransform As New com.sun.star.drawing.HomogenMatrix3
rem
End Sub

Instead of 'Rem' write 'aTransform'
Then add a dot to trigger the drop-down-list for code completion.
You get the list
Line1
Line2
Line3
Choose 'Line1' by double-click.
Now add a dot. You get the expected drop-down-list
Column1
Column2
Column3

But notice, the already existing part 'aTransform.Line1' is damaged.
Comment 1 raal 2015-07-29 17:08:42 UTC
Cannot reproduce with Version: 5.1.0.0.alpha1+
Build ID: 74d4168f8830f7bbec6b784c3fb774296d9adafa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-22_06:14:00
Comment 2 Regina Henschel 2015-07-29 18:04:02 UTC
Created attachment 117520 [details]
gif-Animation with 11 steps

I see the problem still in Version: 5.1.0.0.alpha1+
Build ID: 62e2fae93e8894f73560a30ae1e752cbd4c001ad
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-07-29_04:40:44
Locale: de-DE (de_DE)

Notice how the existing Text is altered, when the second dot is entered in the 7th step.
Comment 3 Buovjaga 2015-08-01 15:05:53 UTC
Not reproduced.

To enable:
Tools - Options - Advanced: Enable experimental ft.
Expert config: search for codecomplete, click Edit so it turns to true.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 4 Regina Henschel 2015-08-01 15:24:13 UTC
(In reply to Beluga from comment #3)
> Not reproduced.
> 
> To enable:
> Tools - Options - Advanced: Enable experimental ft.
> Expert config: search for codecomplete, click Edit so it turns to true.

I do not used Expert Configuration. There should be an item "Basic IDE Options" in LibreOfficeDev in Tools > Options. When you have enabled experimental features, its check boxes are enabled. I turned on all these check boxes.
Comment 5 Buovjaga 2015-08-01 15:32:57 UTC
(In reply to Regina Henschel from comment #4)
> I do not used Expert Configuration. There should be an item "Basic IDE
> Options" in LibreOfficeDev in Tools > Options. When you have enabled
> experimental features, its check boxes are enabled. I turned on all these
> check boxes.

Ok, now that I did it like you, I could repro. I narrowed it down to the option: Autocorrection.
Comment 6 QA Administrators 2016-09-20 10:20:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920